Bug 349341 - /etc/init.d/dhcpd restart not working properly
Summary: /etc/init.d/dhcpd restart not working properly
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-23 19:28 UTC by ericm24x7
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 17:48:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ericm24x7 2007-10-23 19:28:22 UTC
Description of problem:
running 
    /etc/init.d/dhcpd restart
 or 
    service dhcpd restart
will NOT start the service if the current service status is "STOPPED". DHCPD
service should be ABLE TO RESTART regardless of the status (STOPPED or RUNNING)  

Version-Release number of selected component (if applicable):
dhcp.x86_64 12:3.0.6-8.fc8
dhcpv6-client.x86_64 0.10-51.fc8

How reproducible:
persistent

Steps to Reproduce:
1. stop the dhcpd service first:
      service dhcpd stop
2. restart dhcpd
      service dhcpd restart
3. check the status
      service dhcpd status
  
Actual results:
    dhcpd is stopped

Expected results:
   dhcpd is running...

Additional info:

Comment 1 David Cantrell 2007-10-24 17:48:46 UTC
Thanks for the report.  Fixed in rawhide and I'll be making an update for F-8.


Note You need to log in before you can comment on or make changes to this bug.